1. Incident Comments
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Incident Comments

Create

Developing
POST
http://127.0.0.1:8000/api/incident_comments
Creates a new comment for an incident in the system.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success Create
application/json
Bodyapplication/json

🟠422Error Create
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/incident_comments' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json' \
--data '{
    "incident_id": 4,
    "user_id": 2,
    "comment": "Initial investigation started. User permissions and recent account activity are being reviewed."
}'
Response Response Example
200 - Éxito
{
    "message": "Incident comment created successfully",
    "data": {
        "id": 3,
        "incident": "Privilege Escalation Investigation",
        "user": "analyst",
        "comment": "Initial investigation started. User permissions and recent account activity are being reviewed."
    }
}
Modified at 2026-06-19 14:48:21
Previous
Show
Next
Update
Built with